io.vertx.pgclient.data

## Class Money

- java.lang.Object
- - io.vertx.pgclient.data.Money

-     public class Money
      extends Object

  The PostgreSQL MONEY type.

  `bigDecimalValue()` returns the value without loss of information. `doubleValue()` returns the value possible loss of information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Money()`
    `Money(long integerPart, int decimalPart)` Deprecated. as of 4.4.6, use `Money(Number)` instead
    `Money(Number value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `bigDecimalValue()`
    `double` | `doubleValue()`
    `boolean` | `equals(Object o)`
    `int` | `getDecimalPart()` Deprecated. as of 4.4.6, use `bigDecimalValue()` instead
    `long` | `getIntegerPart()` Deprecated. as of 4.4.6, use `bigDecimalValue()` instead
    `int` | `hashCode()`
    `Money` | `setDecimalPart(int part)` Deprecated. as of 4.4.6, create another instance instead
    `Money` | `setIntegerPart(long part)` Deprecated. as of 4.4.6, create another instance instead
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Money

          @Deprecated
          public Money(long integerPart,
                                   int decimalPart)

      Deprecated. as of 4.4.6, use `Money(Number)` instead

    - #### Money

          public Money(Number value)

    - #### Money

          public Money()

  - ### Method Detail

    - #### getIntegerPart

          @Deprecated
          public long getIntegerPart()

      Deprecated. as of 4.4.6, use `bigDecimalValue()` instead

    - #### getDecimalPart

          @Deprecated
          public int getDecimalPart()

      Deprecated. as of 4.4.6, use `bigDecimalValue()` instead

    - #### setIntegerPart

          @Deprecated
          public Money setIntegerPart(long part)

      Deprecated. as of 4.4.6, create another instance instead

    - #### setDecimalPart

          @Deprecated
          public Money setDecimalPart(int part)

      Deprecated. as of 4.4.6, create another instance instead

    - #### bigDecimalValue

          public BigDecimal bigDecimalValue()

      Returns:
        the monetary amount as a big decimal without loss of information

    - #### doubleValue

          public double doubleValue()

      Returns:
        the monetary amount as a double with possible loss of information

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2024 Eclipse. All rights reserved.